import { Message } from "eris";
import CommandContext from "./CommandContext";
import MessageInterface from "./MessageInterface";
export default class CommandHelper {
    context: CommandContext;
    private restGateway;
    private readonly messageService;
    private readonly restApp;
    getMessage(message: any): Promise<Message>;
    deleteMessage(message: any): Promise<void>;
    editMessage(message: any, content: any): Promise<Message>;
    sendMessage(channel: string | any, content: any): Promise<MessageInterface>;
    react(reaction: string, messageId?: string, channelId?: string): Promise<void>;
    private rest(method, ...args);
}
