import Parameter from "./Parameter";
import RequirementInterface from "./RequirementInterface";
export declare type ExecutionContext = "Guild" | "DM" | "Any";
export default interface MetadataInterface {
    module: string;
    aliases: string[];
    context: ExecutionContext;
    types: object;
    parameters: Parameter[];
    remainderFields: number[];
    requiredFields: number[];
    shortDescription: string;
    longDescription: string;
    syntax?: string;
    showInHelp?: boolean;
    caseInsensitive?: boolean;
    deleteCommand?: boolean;
    runOnEdit?: boolean;
    requirements?: RequirementInterface;
}
