"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (options) => {
    return (target) => {
        const metadata = Reflect.getMetadata("command", target) || {};
        metadata.showInHelp = options.showInHelp;
        metadata.caseInsensitive = options.caseInsensitive;
        metadata.deleteCommand = options.deleteCommand;
        metadata.context = options.context || "Any";
        Reflect.defineMetadata("command", metadata, target);
    };
};
//# sourceMappingURL=Options.js.map