"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Parameter {
    constructor(...args) {
        this.required = false;
        this.type = "string";
        this.remainder = false;
        this.multiple = false;
        this.defaultValue = undefined;
        if (typeof args[0] === "string") {
            this.name = args[0];
            args = args.splice(0, 1);
        }
        for (const name in args[1]) {
            if (args[1].hasOwnProperty(name)) {
                this[name] = args[1][name];
            }
        }
        if (this.multiple && this.defaultValue === undefined) {
            this.defaultValue = [];
        }
    }
}
exports.default = Parameter;
//# sourceMappingURL=Parameter.js.map