"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (...aliases) => (target) => {
    const metadata = Reflect.getMetadata("command", target) || {};
    if (Array.isArray(metadata.aliases)) {
        metadata.aliases.concat(aliases);
    }
    else {
        metadata.aliases = aliases;
    }
    Reflect.defineMetadata("command", metadata, target);
};
//# sourceMappingURL=Alias.js.map