"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const types_1 = require("./types");
let GatewayService = class GatewayService {
    service(name, callback, first = true) {
        return __awaiter(this, void 0, void 0, function* () {
            const results = (yield Promise.all(this.gateways.map((x) => __awaiter(this, void 0, void 0, function* () {
                try {
                    const result = yield callback(x.app.service(name));
                    result.__GATEWAY__ = x;
                    return result;
                }
                catch (e) {
                    return null;
                }
            })))).filter((x) => !!x);
            return first ? results[0] : results;
        });
    }
    get(name, id, first = true) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.service(name, (service) => __awaiter(this, void 0, void 0, function* () { return yield service.get(id); }), first);
        });
    }
    find(name, query, first = false) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.service(name, (service) => __awaiter(this, void 0, void 0, function* () { return yield service.find(query); }), first);
        });
    }
};
__decorate([
    inversify_1.multiInject(types_1.default.Gateway),
    __metadata("design:type", Array)
], GatewayService.prototype, "gateways", void 0);
GatewayService = __decorate([
    inversify_1.injectable()
], GatewayService);
exports.default = GatewayService;
//# sourceMappingURL=GatewayService.js.map