"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Types = {
    Kernel: Symbol("Kernel"),
    EventEmitter: Symbol("EventEmitter"),
    Command: {
        Interface: Symbol("Command.Interface"),
        Handler: Symbol("Command.Handler"),
        Helper: Symbol("Command.Helper"),
    },
    Configuration: Symbol("Configuration"),
    Connection: Symbol("Connection"),
    Logger: Symbol("Logger"),
    Factory: {
        Info: Symbol("Factory.Info"),
        Gateway: Symbol("Factory.Gateway"),
    },
    Gateway: Symbol("Gateway"),
    GatewayService: Symbol("GatewayService"),
};
exports.default = Types;
//# sourceMappingURL=types.js.map